GroupMetricsDecorator (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.taglib.display.GroupMetricsDecorator class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.taglib.display
Class GroupMetricsDecorator

    java.lang.Object
      org.hyperic.hq.ui.taglib.display.Decorator
          org.hyperic.hq.ui.taglib.display.ColumnDecorator
              org.hyperic.hq.ui.taglib.display.BaseDecorator
                  org.hyperic.hq.ui.taglib.display.GroupMetricsDecorator

All Implemented Interfaces:
  java.lang.Cloneable, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class GroupMetricsDecorator

extends BaseDecorator

This class acts as a decorator for tables, displaying "YES" "NO" or "SOME", depending if total is 0, equal to, or less than active.

Field Summary
`protected java.lang.String` | `bundle`
`protected java.lang.String` | `locale`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`GroupMetricsDecorator()`

Method Summary
`java.lang.String` | `decorate(java.lang.Object obj)` Compares active and total, and outputs "YES" "NO" or "SOME"
`java.lang.String` | `getActive()` Getter for property active.
`java.lang.String` | `getTotal()` Getter for property total.
`void` | `release()`
`void` | `setActive(java.lang.String active)` Setter for property active.
`void` | `setTotal(java.lang.String total)` Setter for property total.

Methods inherited from class org.hyperic.hq.ui.taglib.display.BaseDecorator
`doEndTag, doStartTag, generateErrorComment, getName, getParent, setName, setParent`

Methods inherited from class org.hyperic.hq.ui.taglib.display.Decorator
`finish, finishRow, getList, getListIndex, getObject, getPageContext, getViewIndex, init, initRow, setPageContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`setPageContext`

Field Detail

### locale

    protected java.lang.String locale

### bundle

    protected java.lang.String bundle

Constructor Detail

### GroupMetricsDecorator

    public GroupMetricsDecorator()

Method Detail

### decorate

    public java.lang.String decorate(java.lang.Object obj)

  Compares active and total, and outputs "YES" "NO" or "SOME"

  Specified by:
    `decorate` in class `BaseDecorator`
  Parameters:
    `obj` - Does not use this value
  Returns:
    formatted date

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `BaseDecorator`

### getActive

    public java.lang.String getActive()

  Getter for property active.

  Returns:
    Value of property active.

### setActive

    public void setActive(java.lang.String active)

  Setter for property active.

  Parameters:
    `active` - New value of property active.

### getTotal

    public java.lang.String getTotal()

  Getter for property total.

  Returns:
    Value of property total.

### setTotal

    public void setTotal(java.lang.String total)

  Setter for property total.

  Parameters:
    `total` - New value of property total.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.